<?php
if (!isset($sshfed_folder)) {
	require_once("../config.php");
}
require_once($sshfed_folder."/api/Auth.php");
require_once($sshfed_folder."/api/Key.php");

function getUserKeys($auth) {
	if (!isset($_SESSION)) {
		session_start();
	}
	initKeys($auth);
	
	return $_SESSION["keys_user"];
}

function initKeys($auth) {
	GLOBAL $keys_attribute;
	
	if (!isset($_SESSION)) {
		session_start();
	}
	if (!array_key_exists("keys_user",$_SESSION)) {
		$_SESSION["keys_user"] = array();
		
		$attrs = $auth->getAttributes();
		if (array_key_exists($keys_attribute,$attrs)) {
			foreach ($attrs[$keys_attribute] as $stringKey) {
				$key = Key::parseString($stringKey);
				addKey($auth, $key);
			}
		}
	}
}

function addKey($auth, $key) {
	if (!isset($_SESSION)) {
		session_start();
	}
	initKeys($auth);
	
	$_SESSION["keys_user"][] = $key;
}

function delKey($idKey) {
	if (!isset($_SESSION)) {
		session_start();
	}
	for ($i=0; $i<count($_SESSION["keys_user"]); $i++) {
		$key = $_SESSION["keys_user"][$i];
		if (strcmp($key->getComment(),$idKey)==0) {
			unset($_SESSION["keys_user"][$i]);
			return;
		}
	}
}

?>